package TreeEditor;

import javax.swing.*;
import java.awt.event.*;
import java.awt.*;
import bio.sequences.GUI.*;

/**
 * <p>Titre : Tree Editor</p>
 * <p>Description : Baobab core classes.</p>
 * <p>Copyright : Copyright (c) Julien Dutheil</p>
 * <p>Socit : </p>
 * @author Julien Dutheil
 * @version 1.0
 */

public class SequencesEditor extends JDialog {

  private AlignmentEditor editor;

  public SequencesEditor(Frame owner) {
    super(owner, "Sequence Editor", true);
    editor = new AlignmentEditor();
    this.getContentPane().setLayout(new BorderLayout());
    this.getContentPane().add(editor, BorderLayout.CENTER);
    this.setSize(editor.getPreferredSize().width, editor.getPreferredSize().height);
    this.setResizable(true);
  }

  public AlignmentEditor getEditor() { return editor; }

}
