package bio;

/**
 * <p>Title: Bio</p>
 * <p>Description: Tools for bioinformatics</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Julien Dutheil
 * @version 1.0
 */

import java.util.*;

public class Vint {
  ArrayList a;
  public Vint(int size) { a = new ArrayList(size); }
  public Vint() { a = new ArrayList(); }
  public Vint(Vint v) { a = new ArrayList(v.a); }
  public void add(int i) { a.add(new Integer(i)); }
  public void add(int pos, int i) { a.add(pos, new Integer(i)); }
  public void set(int pos, int i) { a.set(pos, new Integer(i)); }
  public int get(int pos) { return ((Integer)a.get(pos)).intValue(); }
  public int remove(int pos) { return ((Integer)a.get(pos)).intValue(); }
  public void erase(int begin, int end) {
    for(int j = begin; j < end; j++) a.remove(begin);
  }
  public void insert(int begin, int end, int i) {
    for(int j = begin; j < end; j++) a.add(begin, new Integer(i));
  }
  public int size() { return a.size(); }
  public void resize(int newsize) {
    if(newsize < size()) for(int i = size(); i > newsize; i--) remove(i - 1);
  }
}
