package bio.sequences;

/**
 * <p>Title: Bio</p>
 * <p>Description: Tools for bioinformatics</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Julien Dutheil
 * @version 1.0
 */

/**
 * @brief Exception thrown when a sequence is found to have gap and it should not.
 */
public class SequenceWithGapException extends SequenceException {

  /**
   * @brief Build a new SequenceWithGapException object.
   *
   * @param text A message to be passed to the exception hierarchy.
   * @param seq A const pointer toward the sequence that threw the exception.
   */
  public SequenceWithGapException(String text, Sequence seq) {
    super(text, seq);
  }
}
