/*
 * StatsTools package. You should have received this file along with another program.
 * See the program files for description and full license terms.
 * Copyright (C) 2003  Julien Dutheil
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package gnu.jtools.stats;

public class StatTools {

  public static double round(double x, int floating) {
    long intPart = Math.round(x);
    double floatPart = x - (double)intPart;
    String s = new String("" + floatPart);
    int length = floating + 2;
    if(s.length() < length) length = s.length();
    double floatPartRounded = Double.parseDouble(s.substring(0, length));
    return intPart + floatPartRounded;
  }
}