
/**
 * Titre : Tree Editor<p>
 * @author Julien Dutheil
 */
package bio.dendogram.GUI;

import bio.dendogram.*;
import java.awt.*;

public class ClickableNode {

  public ClickableNode(Node target) {
    this.target = target;
    area = new Rectangle();
  }

  public void defineArea(Rectangle area) { this.area = area; }

  public boolean isInTargetArea(Point p) { return area.contains(p); }

  public Node getTarget() { return target; }

  public Rectangle getTargetArea() { return area; }

  private Node target;
  private Rectangle area;
}
