package bio.dendogram.io;

/**
 * <p>Title: Bio</p>
 * <p>Description: Tools for bioinformatics</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Julien Dutheil
 * @version 1.0
 */

import java.io.*;
import java.util.*;
import java.awt.Component;
import bio.dendogram.*;

public interface OTree
    extends IOTree {

  public void writeTree(Tree tree, PrintWriter output) throws IOException;

  public void writeTree(Tree[] trees, PrintWriter output) throws IOException;

  public void writeTree(Tree tree, File output) throws IOException;

  public void writeTree(Tree[] trees, File output) throws IOException;

  public void writeTree(Tree tree, File output, Component owner) throws
      IOException;

  public void writeTree(Tree[] trees, File output, Component owner) throws
      IOException;

}
