package bio.sequences.io;

/**
 * <p>Title: Bio</p>
 * <p>Description: Tools for bioinformatics</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Julien Dutheil
 * @version 1.0
 */

/**
 * @brief The IOSequence interface.
 */
public interface IOSequence {

  /**
   * @brief Get the name of the file format.
   *
   * @return The name of the format implemented.
   */
  public String getFormatName();

  /**
  * @brief Get a description of the file format.
  *
  * @return A description of the format implemented.
  */
 public String getFormatDescription();

};
