package gnu.jtools.utils.attributes;

/**
 * <p>Title: Bio</p>
 * <p>Description: Tools for bioinformatics</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Julien Dutheil
 * @version 1.0
 */

public class AttributeNotFoundException extends Exception {

  protected String attributeName;

  public AttributeNotFoundException(String attributeName) {
    this.attributeName = attributeName;
  }

  public AttributeNotFoundException(String attributeName, String message) {
    super(message);
    this.attributeName = attributeName;
  }

  public AttributeNotFoundException(String attributeName, String message, Throwable cause) {
    super(message, cause);
    this.attributeName = attributeName;
  }

  public AttributeNotFoundException(String attributeName,Throwable cause) {
    super(cause);
    this.attributeName = attributeName;
  }

  public String getAttributeName() { return attributeName; }
}
