/*
 * CommandLine package. You should have received this file along with another program.
 * See the program files for description and full license terms.
 * Copyright (C) 2003  Julien Dutheil
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/**
 * Titre : commandLine<p>
 * Description : Reading command lines.<p>
 * @author Julien Dutheil
 * @version 1.0
 */

package gnu.jtools.utils.commandline;

public class SyntaxeException extends Exception {

  public SyntaxeException(String goodSyntaxe) {
    this.correct=goodSyntaxe;
    }
  public SyntaxeException() {
    this.correct="";
    }

  public String getGoodSyntaxe() { return correct; }
  private String correct;
  }